LOOKUP_ONE_LEN(9)

NAME
lookup_one_len - filesystem helper to lookup single pathname component

SYNOPSIS

struct dentry * lookup_one_len(const char * name, struct dentry * base, int len);

ARGUMENTS

name
    pathname component to lookup

base
    base directory to lookup from

len
    maximum length len should be interpreted to

DESCRIPTION

Note that this routine is purely a helper for filesystem usage and should not be called by generic code. Also note that by using this function the nameidata argument is passed to the filesystem methods and a filesystem using this helper needs to be prepared for that.

COPYRIGHT